Modul 5 · 5.2
Izvoz kalendara i kontakata iz Googlea i Microsofta
Modul 5: Kalendar i kontakti · Vrijeme čitanja: 12 minuta
Cilj učenja: Nakon ove lekcije moći ćete izraditi potpuni i upotrebljivi izvoz kalendara i kontakata iz Googlea i Microsofta, pročitati ICS i vCard datoteku, te znati što se kod izvoza ne prenosi ili prenosi drukčije.
Ključni pojmovi: iCalendar (ICS), VCALENDAR, VEVENT, UID, DTSTART, RRULE, EXDATE, VTIMEZONE i TZID, ORGANIZER i ATTENDEE, VALARM, vCard (VCF) 3.0 i 4.0, csv, Google Takeout, alat za migraciju
Dva formata datoteka koje gotovo svi poznaju
Kalendare i kontakte selite pomoću dva otvorena formata:
- iCalendar, datoteke s nastavkom
.ics(RFC 5545), za kalendare i zadatke. - vCard, datoteke s nastavkom
.vcf, za kontakte. Postoje dvije verzije na koje ćete naići: 3.0 (RFC 2426) i 4.0 (RFC 6350).
To su obične tekstualne datoteke. Možete ih otvoriti u uređivaču teksta, a upravo to ćete učiniti u ovoj lekciji. Tko zna što se u njima nalazi, vidi i što nedostaje.
Često postoji lakši put od izvoza: mnoge nove usluge imaju alat za migraciju koji uz Vaš pristanak izravno dohvaća Vaše kalendare i kontakte od Googlea ili Microsofta. To je brže i s manje pogrešaka. Ipak, vlastiti izvoz je razborit potez: kao provjera (koliko sam imao sastanaka i kontakata?), kao sigurnosna kopija prije nego otkažete staru uslugu, i kao izlaz ako Vam administrator ne dopušta korištenje alata za migraciju.
Ovako izgleda datoteka kalendara
Izvoz kalendara pekare Bakkerij De Korrel počinje ovako:
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//Google Inc//Google Calendar 70.9054//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
...
END:VTIMEZONE
BEGIN:VEVENT
UID:3f1a9c2e7b@google.com
DTSTART;TZID=Europe/Amsterdam:20261110T060000
DTEND;TZID=Europe/Amsterdam:20261110T070000
RRULE:FREQ=WEEKLY;BYDAY=TU
EXDATE;TZID=Europe/Amsterdam:20261229T060000
SUMMARY:Levering meel
ORGANIZER:mailto:anne@example.com
ATTENDEE;CN=Groothandel:mailto:verkoop@example.net
BEGIN:VALARM
TRIGGER:-PT30M
ACTION:DISPLAY
END:VALARM
END:VEVENT
END:VCALENDARŠto vidite:
| Redak | Značenje | Gdje može poći po krivu |
|---|---|---|
BEGIN:VCALENDAR i VERSION:2.0 | ovo je iCalendar datoteka | ako nedostaje, uvoz se odbija |
BEGIN:VEVENT ... END:VEVENT | jedan sastanak | nedostajući END čini ostatak nečitljivim |
UID | trajna oznaka sastanka | bez UID poslužitelj ne može prepoznati duplikate |
DTSTART;TZID=... | vrijeme početka u određenoj vremenskoj zoni | vidi vremenske zone ispod |
RRULE | pravilo ponavljanja: svaki utorak | nevažeće pravilo daje jedan sastanak umjesto niza |
EXDATE | iznimka: ovog utorka ne | |
ORGANIZER, ATTENDEE | tko je pozvao i tko je pozvan | vidi pozivnice ispod |
VALARM | podsjetnik, 30 minuta unaprijed | ne preuzima svaka usluga podsjetnike |
Vremenske zone
Vrijeme s TZID=Europe/Amsterdam znači: 6 sati ujutro u Amsterdamu, i nakon prelaska na ljetno vrijeme. Datoteka stoga mora sadržavati blok VTIMEZONE koji opisuje tu vremensku zonu. Izvozi iz Outlooka često koriste Windows nazive poput W. Europe Standard Time. To prolazi dobro dokle god je priložen blok VTIMEZONE. Ako nedostaje, nova usluga nagađa, pa ćete vidjeti sastanke pomaknute za sat vremena. Vrijeme koje završava na Z (20261110T050000Z) izraženo je u UTC-u i uvijek je jednoznačno. Vrijeme bez vremenske zone i bez Z naziva se "plutajuće" vrijeme: ono vrijedi u vremenskoj zoni osobe koja ga pregledava.
Cjelodnevni sastanci navedeni su kao datum bez vremena: DTSTART;VALUE=DATE:20261224.
Pozivnice
Sastanak koji ste Vi organizirali, u datoteci je naveden s Vama kao ORGANIZER. Nakon uvoza nalazi se u Vašem novom kalendaru, ali sudionici ga u svom kalendaru i dalje vide kao pozivnicu s Vaše stare adrese, s UID-om stare usluge. Ako kasnije izmijenite sastanak, oni će dobiti novu pozivnicu. Kod sastanaka koji se ponavljaju s vanjskim sudionicima može biti uredniji pristup ponovno ih pozvati nakon prelaska. Sastanci na koje ste Vi bili pozvani prenose se kao obični sastanci; odgovori organizatoru idu putem e-pošte.
Izvoz iz Googlea
- Kalendar: u Google kalendaru, pod Postavke, dio Uvoz i izvoz, gumb Izvezi. Dobit ćete zip datoteku s po jednom ics datotekom za svaki kalendar čiji ste vlasnik. Kalendari koje s Vama dijele drugi nisu uključeni; njih izvozi vlasnik, ili ih izvozite pojedinačno iz postavki tog kalendara ako je to dopušteno.
- Kontakti: u Google kontaktima odaberete kontakte (ili sve), odaberete Izvezi, a zatim vCard format. Google nudi i "Google CSV" i "Outlook CSV"; odaberite vCard, jer on zadržava strukturu (više telefonskih brojeva, adresa, fotografija).
- Sve odjednom: Google Takeout (takeout.google.com) isporučuje kalendar kao ics, kontakte kao vcf (ili csv) i Gmail kao mbox, u zip datotekama. Praktično kao sigurnosna kopija cijelog računa.
Nazivi izbornika povremeno se mijenjaju; u slučaju nedoumice potražite u Googleovoj pomoći pojam "izvoz kalendara".
Izvoz iz Microsofta
- Kalendar: u klasičnom Outlooku za Windows možete spremiti kalendar kao iCalendar datoteku (Spremi kao, uz odabir razdoblja i "potpunih pojedinosti"). Odaberite razdoblje koje dovoljno seže unatrag i unaprijed, te odaberite potpune pojedinosti, inače izvozite samo status slobodno/zauzeto. U Outlooku na webu kalendar možete objaviti kao ICS poveznicu i datoteku preuzeti putem te poveznice; nakon toga ponovno isključite objavu.
- Kontakti: Outlook na webu izvozi kontakte kao csv, a ne kao vCard. Klasični Outlook također masovno izvozi u csv; vCard je ondje moguć samo po pojedinom kontaktu. Mnoge CardDAV usluge ne mogu izravno uvesti csv datoteku. Postoje dva rješenja: koristiti alat za migraciju Vaše nove usluge (koji izravno dohvaća kontakte), ili uvesti csv u adresar Thunderbirda i ondje ga izvesti kao vCard.
- Dijeljeni kalendari i kalendari prostorija kalendari su organizacije. Njih izvozi administrator, ili ih ponovno postavljate u novoj usluzi.
Što se kod izvoza ne prenosi ili prenosi drukčije
| Dio | Što se događa |
|---|---|
| Prilozi uz sastanke | obično se ne prenose; prenosi se samo poveznica, ili ništa |
| Boje i kategorije | ponekad kao CATEGORIES, često ne |
| Podsjetnici | ponekad, ovisno o usluzi |
| Poveznice za videosastanke (Teams, Meet) | ostaju kao tekst u sastanku, ali nakon otkazivanja usluge više ne rade |
| Grupe kontakata ili oznake | ne uvijek; provjerite nakon uvoza |
| Fotografije kontakata | prenose se u vCard-u, ali čine datoteku velikom |
Brojanje prije nego nastavite
Prije izvoza zapišite koliko imate kontakata i, za nekoliko kalendara, koliko sastanaka ima u određenom razdoblju (na primjer u studenom). Nakon uvoza ponovno prebrojite. To je najbrži način da uočite nedostaje li nešto. U zadatku ove lekcije prepustit ćete programu da prebroji i provjeri Vaše datoteke.
U praksi: ovako to izgleda kod jednog pružatelja usluge
U WebOké Nextcloudu postoje dva alata za migraciju koji izravno dohvaćaju podatke: WebOké Import Tool za Google (Disk, Fotografije, Kalendar i Kontakti) i Migracija podataka za OneDrive i Microsoft 365, pomoću kojeg također uvozite kontakte i kalendare iz svog Microsoft računa. Ako Vaš kalendar dolazi odnekud drugdje, ics i vCard datoteke uvozite sami (lekcija 5.3). Nextcloud čita vCard 3.0 i 4.0. Kod drugih europskih usluga postoje slični alati za uvoz ili gumb za uvoz u kalendaru i adresaru; formati datoteka posvuda su isti.
Sažetak
- Kalendare selite kao ics (iCalendar), kontakte kao vcf (vCard 3.0 ili 4.0); to su čitljive tekstualne datoteke.
- Alat za migraciju koji izravno dohvaća podatke često je jednostavniji, no ipak izradite vlastiti izvoz kao provjeru i sigurnosnu kopiju.
- U ics datoteci obratite pažnju na UID, RRULE i vremenske zone s blokom VTIMEZONE; bez toga sastanci se pomiču.
- Outlook na webu izvozi kontakte samo kao csv; koristite alat za migraciju ili pretvorite csv u vCard.
- Unaprijed prebrojite kontakte i sastanke, kako biste nakon uvoza mogli provjeriti nedostaje li nešto.
Kviz
Zadatak
Zadatak A5.2: Provjera testnog izvoza. Izvezite kalendar (ics) i svoje kontakte (vcf). Najprije unesite koliko imate kontakata i koliko sastanaka očekujete. Zatim prenesite datoteke. Program provjerava jesu li valjane, broji sastanke, ponavljanja i kontakte, traži vremenske zone bez opisa i duplicirane kontakte, te uspoređuje s Vašim brojevima. Datoteke se samo čitaju i ne pohranjuju.
Zadatak E5.2: Što se ne prenosi? Otvorite svoju ics datoteku u uređivaču teksta. Pronađite sastanak koji se ponavlja, sastanak sa sudionicima i sastanak s poveznicom za videosastanak. Za svaki sastanak zabilježite što trebate učiniti nakon prelaska.
Zadatak E5.2: Što se ne prenosi?
Otvorite vlastitu ics datoteku u uređivaču teksta.
Vaše kvačice i bilješke ostaju samo u ovom pregledniku; ne šaljemo ih nikamo. Ako ste prijavljeni, u Moji tečajevi čuvamo samo podatak da ste zadatak završili.
Dodatno štivo
Koraci u ovim člancima vrijede za usluge WebOké; kod drugih pružatelja usluga postupak je sličan.
- Nextcloud priručnik 13.5: Kalendar i kontakte prebacujete iz Google, iCloud ili Outlooka (ics i vCard)
- Nextcloud priručnik 13.2: Prebacivanje Google Drivea, Fotografija, Kalendara i Kontakata pomoću WebOké Import Toola
- Nextcloud priručnik 13.4: OneDrive prebaciti pomoću Migracije podataka
- Nextcloud priručnik 13.6: Od Microsofta 365 do WebOké: datoteke, dokumenti, e-pošta i kalendar
- RFC 5545 (iCalendar), RFC 2426 (vCard 3.0), RFC 6350 (vCard 4.0)
- Googleova pomoć za kalendar: Izvoz događaja; Googleova pomoć za kontakte: Izvoz kontakata; Microsoftova podrška: Izvoz kontakata iz Outlooka
